Guest

Cisco Unified Intelligent Contact Management Hosted

Field Notice: FN 62887 - Cisco Enterprise and Hosted Contact Center Products Notice for Microsoft August 2007 Security Updates


August 20, 2007

NOTICE:

THIS FIELD NOTICE IS PROVIDED ON AN "AS IS" BASIS AND DOES NOT IMPLY ANY KIND OF GUARANTEE OR WARRANTY, INCLUDING THE WARRANTY OF MERCHANTABILITY. YOUR USE OF THE INFORMATION ON THE FIELD NOTICE OR MATERIALS LINKED FROM THE FIELD NOTICE IS AT YOUR OWN RISK. CISCO RESERVES THE RIGHT TO CHANGE OR UPDATE THIS FIELD NOTICE AT ANY TIME.


Products Affected

Products Affected

Cisco Agent Desktop (CAD) - 6.x(x) and 7.x(x), all SRs

Cisco Collaboration Server (CCS) - 5.0, all SRs

Cisco Computer Telephony Integration (CTI) and CTI Object Server (CTI OS) - 6.0 and 7.x(x), all SRs/MRs

Cisco e-Mail Manager (CEM) - 5.0, all SRs

Customer Voice Portal (CVP) - 3.0, 3.1 and 4.0, all SRs

IP Contact Center (IPCC) Enterprise - 6.0 and 7.x(x), all SRs/MRs

IP Contact Center (IPCC) Hosted - 7.x(x)

Intelligent Contact Management (ICM) Enterprise - 6.0 and 7.x(x), all SRs/MRs

Intelligent Contact Management (ICM) Hosted - 7.x(x)

Internet Service Node (ISN) - 2.0(0) and 2.1(0), all SRs

Problem Description

On August 14 2007, Microsoft released the following security updates:

MS07-042 - Critical

Vulnerability in Microsoft XML Core Services Could Allow Remote Code Execution (936227)

Affected Supported Software:

- Microsoft Windows 2000 Service Pack 4

- Microsoft Windows Server 2003 Service Pack 1

- Microsoft Windows Server 2003 Service Pack 2

- Microsoft Windows XP Service Pack 2

MS07-043 - Critical

Vulnerability in OLE Automation Could Allow Remote Code Execution (921503)

Affected Supported Software:

- Microsoft Windows 2000 Service Pack 4

- Microsoft Windows Server 2003 Service Pack 1

- Microsoft Windows Server 2003 Service Pack 2

- Microsoft Windows XP Service Pack 2

MS07-044 - Critical

Vulnerability in Microsoft Excel Could Allow Remote Code Execution (940965)

Affected Supported Software:

- None

MS07-045 - Critical

Cumulative Security Update for Internet Explorer (937143)

Affected Supported Software:

- Microsoft Windows 2000 Service Pack 4

- Microsoft Windows Server 2003 Service Pack 1

- Microsoft Windows Server 2003 Service Pack 2

- Microsoft Windows XP Service Pack 2

MS07-046 - Critical

Vulnerability in GDI Could Allow Remote Code Execution (938829)

Affected Supported Software:

- Microsoft Windows 2000 Service Pack 4

- Microsoft Windows Server 2003 Service Pack 1

- Microsoft Windows XP Service Pack 2

MS07-050 - Critical

Vulnerability in Vector Markup Language Could Allow Remote Code Execution (938127)

Affected Supported Software:

- Microsoft Windows 2000 Service Pack 4

- Microsoft Windows Server 2003 Service Pack 1

- Microsoft Windows Server 2003 Service Pack 2

- Microsoft Windows XP Service Pack 2

MS07-047 - Important

Vulnerabilities in Windows Media Player Could Allow Remote Code Execution (936782)

Affected Supported Software:

- None

MS07-048 - Important

Vulnerabilities in Windows Gadgets Could Allow Remote Code Execution (938123)

Affected Supported Software:

- None

MS07-049 - Important

Vulnerability in Virtual PC and Virtual Server Could Allow Elevation of Privilege (937986)

Affected Supported Software:

- None

Background

Cisco evaluates Microsoft security notices and updates for potential impact to Cisco Contact Center products.

The qualification process results in one of four categorical ratings being applied to a given update: Impacting, Not Impacting, Deferred, or Not Applicable.

The four ratings are defined in: Cisco Customer Contact Software Policy for use of Third Party Software and Security.

For the security updates listed in the Problem Description section of this bulletin, Cisco has assigned the updates to the following categories.

Impacting

None

Deferred

MS07-042 - Vulnerability in Microsoft XML Core Services Could Allow Remote Code Execution (936227)

MS07-043 - Vulnerability in OLE Automation Could Allow Remote Code Execution (921503)

MS07-045 - Cumulative Security Update for Internet Explorer (937143)

MS07-046 - Vulnerability in GDI Could Allow Remote Code Execution (938829)

MS07-050 - Vulnerability in Vector Markup Language Could Allow Remote Code Execution (938127)

Non-impacting

None

Not Applicable

MS07-044 - Vulnerability in Microsoft Excel Could Allow Remote Code Execution (940965)

MS07-047 - Vulnerabilities in Windows Media Player Could Allow Remote Code Execution (936782)

MS07-048 - Vulnerabilities in Windows Gadgets Could Allow Remote Code Execution (938123)

MS07-049 - Vulnerability in Virtual PC and Virtual Server Could Allow Elevation of Privilege (937986)

Proper care should be taken in deciding on which updates to apply to your systems. For additional information on the security measures to be considered in an ICM environment, refer to the Security Best Practices for Cisco Intelligent Contact Management Software Guide.

The following table provides information on the testing of Cisco products for potential conflicts with these security updates.

Product

Version

Tested (Y/I*)

Components Tested

ICM/IPCC

7.0(0) SR4, 7.1(5), 7.2(1)

N/A

All ICM/IPCC 7.0(0)SR4 components tested on Windows Server 2003 SP1. All ICM/IPCC 7.1(5), 7.2(1) components tested on Windows Server 2003 SP2.

CTI OS

7.0(0) SR4, 7.1(5), 7.2(1)

N/A

CTI OS components tested on Windows Server 2003 SP1; Agent Desktop on Windows XP SP2

CVP

3.1 SR2

N/A

CVP components tested on Windows Server 2000 SP4 with Rollup 1

CVP

4.0

N/A

Tested on Windows 2003 SP1

CEM & CCS

CEM 5.0 SR7, CCS 5.0 SR4, CMB 5.0 SR2, DCA 2.0(1) SR2

N/A

CEM and CCS components tested on Windows Server 2000 SP4 with Rollup 1

CAD

7.1(2), 7.2(1)

N/A

CAD server components tested on Windows Server 2003 R2; Agent, Supervisor and Admin Desktops on Windows 2000 Professional SP4.

* Testing Disposition

I - In Progress (indicating that testing is in progress and will be updated when complete)

Y - Yes (tested)

NA - Not Applicable (none of the security updates are being tested because of a "Not Applicable" or "Deferred" assessment).

Customers should follow Microsoft's guidelines regarding when and how they should apply these updates. Refer to the Microsoft Security website for more details.

Problem Symptoms

It is important to point out that Cisco Contact Center Support has not had any cases pertaining to this vulnerability recorded from our customer base as of August 16, 2007.

Workaround/Solution

Cisco has assessed, and where deemed appropriate, validated the Microsoft security patches addressed in this bulletin along with any workarounds for the problems found.

Cisco recommends that Contact Center customers separately assess all security patches released by Microsoft and install those deemed appropriate for their environments.

Cisco will continue to provide a service of separately assessing and where necessary, validating higher severity security patches that may be relevant to the ICM/IPCC and ICM/IPCC Hosted software products.

Visit the Microsoft website to acquire the fixes. Keep in mind that you should download the appropriate fixes based on the version of the Microsoft operating system deployed in your environment and service pack level.

Revision History

Revision

Date

Comment

1.0

20-AUG-2007

Initial Public Release

For More Information

If you require further assistance, or if you have any further questions regarding this field notice, please contact the Cisco Systems Technical Assistance Center (TAC) by one of the following methods:

Receive Email Notification For New Field Notices

Product Alert Tool - Set up a profile to receive email updates about reliability, safety, network security, and end-of-sale issues for the Cisco products you specify.